Bug 1112646 - ksm.service start through qemu-ksm fails
ksm.service start through qemu-ksm fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KVM
Current
Other Other
: P5 - None : Minor (vote)
: ---
Assigned To: Lin Ma
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-21 14:26 UTC by stephane nguyen
Modified: 2021-09-30 22:38 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stephane nguyen 2018-10-21 14:26:14 UTC
Hi

There seems to be a bug in the command provided for ExecStart and ExecStop for the ksm.service provided in RPM qemu-ksm.

The ExecStart command is set to '/bin/echo 1 > /sys/kernel/mm/ksm/run' which causes the service startup to fail, and /sys/kernel/mm/ksm/run to remain 0.

ExecStart=/bin/bash -c "/bin/echo 1 > /sys/kernel/mm/ksm/run"

and 

ExecStop=/bin/bash -c "/bin/echo 0 > /sys/kernel/mm/ksm/run"

would be more appropriate.

Stephane
Comment 1 Lin Ma 2018-12-13 05:29:30 UTC
(In reply to stephane nguyen from comment #0)
> Hi
> 
> There seems to be a bug in the command provided for ExecStart and ExecStop
> for the ksm.service provided in RPM qemu-ksm.
> 
> The ExecStart command is set to '/bin/echo 1 > /sys/kernel/mm/ksm/run' which
> causes the service startup to fail, and /sys/kernel/mm/ksm/run to remain 0.
> 
> ExecStart=/bin/bash -c "/bin/echo 1 > /sys/kernel/mm/ksm/run"
> 
> and 
> 
> ExecStop=/bin/bash -c "/bin/echo 0 > /sys/kernel/mm/ksm/run"
> 
> would be more appropriate.
> 
> Stephane

Thanks for that! I'm going to submit the fix asap.
Comment 2 Lin Ma 2018-12-17 02:48:59 UTC
The SRs for sles12sp3, sles12sp4, sles15 in ibs and Virtualization/qemu in obs were accepted, so close it as fixed.
Comment 5 Swamp Workflow Management 2019-02-05 20:10:31 UTC
SUSE-RU-2019:0246-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1100408,1108474,1112646
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    qemu-2.9.1-6.25.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    qemu-2.9.1-6.25.1
SUSE CaaS Platform ALL (src):    qemu-2.9.1-6.25.1
SUSE CaaS Platform 3.0 (src):    qemu-2.9.1-6.25.1
Comment 6 Swamp Workflow Management 2019-02-18 20:13:29 UTC
SUSE-SU-2019:0423-1: An update that solves 5 vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1063993,1079730,1100408,1101982,1112646,1114957,1116717,1117275,1119493,1121600,1123156,1123179
CVE References: CVE-2018-16872,CVE-2018-18954,CVE-2018-19364,CVE-2018-19489,CVE-2019-6778
Sources used:
SUSE Linux Enterprise Module for Server Applications 15 (src):    qemu-2.11.2-9.20.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    qemu-2.11.2-9.20.1, qemu-linux-user-2.11.2-9.20.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    qemu-2.11.2-9.20.1
Comment 7 Swamp Workflow Management 2019-02-19 17:13:39 UTC
SUSE-SU-2019:0435-1: An update that solves 5 vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1063993,1079730,1100408,1101982,1112646,1114957,1116717,1117275,1119493,1121600,1123156,1123179
CVE References: CVE-2018-16872,CVE-2018-18954,CVE-2018-19364,CVE-2018-19489,CVE-2019-6778
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    qemu-2.11.2-5.8.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    qemu-2.11.2-5.8.1
Comment 8 Swamp Workflow Management 2019-02-27 11:22:16 UTC
openSUSE-SU-2019:0254-1: An update that solves 5 vulnerabilities and has 7 fixes is now available.

Category: security (important)
Bug References: 1063993,1079730,1100408,1101982,1112646,1114957,1116717,1117275,1119493,1121600,1123156,1123179
CVE References: CVE-2018-16872,CVE-2018-18954,CVE-2018-19364,CVE-2018-19489,CVE-2019-6778
Sources used:
openSUSE Leap 15.0 (src):    qemu-2.11.2-lp150.7.18.1, qemu-linux-user-2.11.2-lp150.7.18.1, qemu-testsuite-2.11.2-lp150.7.18.1
Comment 9 Swamp Workflow Management 2019-03-19 11:09:55 UTC
openSUSE-RU-2019:0347-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1100408,1108474,1112646
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    qemu-2.9.1-53.1, qemu-linux-user-2.9.1-53.1, qemu-testsuite-2.9.1-53.1